<?php
namespace Plaintracker1;

class Page_ActivityNew
{
	public function postTitle( Context $x )
	{
		$ret = '__Activity Created__';
		return $ret;
	}

	public static function title()
	{
		$ret = '__Add New Activity__';
		return $ret;
	}

	public static function menu( array $x )
	{
		$ret = [];
		$ret[ 'activity' ] = '&larr; ' . '__Activities__';
		return $ret;
	}

	public static function post( array $x, array $values )
	{
		$m = $x[ '$m' ];
		foreach( $values as $k => $v ){
			$m->{$k} = $v;
		}

		$m->user_id = $x[ '$currentUserId' ];
		$m = Model_Activity::create( $m );

		$x['redirect'] = 'activity';
		return $x;
	}

	public static function get( array $x )
	{
	// new m
		$m = Model_Activity::construct();
		$x['$m'] = $m;

	// count current activities
		$q = Model_Activity::q();
		$count = Model_Activity::count( $q );
		$x['$count'] = $count;

	// input
		$x['input-title'] = Lib_Html::InputText( 'title', $m->title );
		$x['input-title']['validate'][] = Lib_Html::validatorRequired();
		$x['input-title']['validate'][] = Lib_Html::validatorUniqueProp([
			'class' => Model_Activity::class,
			'prop' => 'title',
			'skip' => $m->id,
		]);

		return $x;
	}

	public static function render( array $x )
	{
		$count = $x['$count'];
?>

<?php if( ! $count ) : ?>
<article>
	<section>
		__Add your activity. An activity is something that you spend your time on, for example Learn Italian, Cardio Exercise or Develop App.__
	</section>
</article>
<br/>
<?php endif; ?>

<form method="post">

<div>
	<div>
		<label for="<?php echo esc_attr( Lib_Html::id($x['input-title']) ); ?>">__Activity Name__</label>
	</div>
	<div>
		<?php Lib_Html::render( $x['input-title'] ); ?>
	</div>
</div>

<div>
	<div>
		<button class="button button-primary">__Add New Activity__</button>
	</div>
</div>

</form>

<?php
	}
}