<?php
namespace Plaintracker1;

class Page_Uninstall
{
	public static function get( array $x )
	{
		$x['input-sure'] = Lib_Html::inputCheckbox( 'sure', 1, FALSE );
		// $x['input-sure']['validate'][] = Lib_Html::validatorRequired();
		return $x;
	}

	public static function title( array $x )
	{
		return '__Uninstall__';
	}

	public static function menu( array $x )
	{
		$ret = [];
		$ret['setting'] = '&larr; ' . '__Settings__';
		return $ret;
	}

	public static function render( array $x )
	{
?>

<form method="post">

<p>
<strong>__All current data will be deleted.__</strong>
</p>

<label>
<?php Lib_Html::render( $x['input-sure'] ); ?> __Are you sure?__
</label>

<p>
<button type="submit" class="button button-primary">__Confirm Uninstall__</button>
</p>

</form>

<?php
	}

	public static function post( array $x, array $values )
	{
		Model_Install::down();
		$x['redirect'] = '';
		return $x;
	}
}