<?php
namespace Plaintracker1;

class Page_Activity
{
	public static function title( array $x )
	{
		return '__Activities__';
	}

	public static function menu( array $x )
	{
		$ret = [];
		$ret['activity-new'] = '__Add New Activity__';
		return $ret;
	}

	public static function get( array $x )
	{
		$q = Model_Activity::q();

		$models = Model_Activity::find( $q );

		if( ! $models ){
			$x[ 'redirect' ] = 'activity-new';
			return $x;
		}

		$x[ '$models' ] = $models;

		return $x;
	}

	public static function render( array $x )
	{
		$models = $x[ '$models' ];
?>

<table class="striped">
	<thead>
		<tr>
			<th>__Activity__</th>
		</tr>
	</thead>

	<tbody>
		<?php foreach( $models as $m ) : ?>
		<tr>
			<td>
				<a href="<?php echo esc_url( add_query_arg( ['plaintracker' => 'activity-' . $m->id], admin_url('admin.php?page=plaintracker') ) ); ?>">
					<?php echo esc_html( $m->title ); ?><?php if( Model_Activity::STATE_ARCHIVE == $m->state ) : ?><span> &mdash; __Archived__</span><?php endif; ?>
				</a>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
</table>

<?php
	}
}