<?php
namespace Plaintracker1;

class Page_ActivityIdDelete
{
	public function postTitle( Context $x )
	{
		return '__Activity Deleted__';
	}

	public static function title( array $x )
	{
		return '__Delete__';
	}

	public static function menu( array $x )
	{
		$ret = [];
		$ret[ 'activity-' . $x[0] ] = '&larr; ' . '__Edit Activity__';
		return $ret;
	}

	public static function get( array $x )
	{
		$id = $x[0];
		$m = Model_Activity::findById( $id );
		$x[ '$m' ] = $m;

		$x['input-sure'] = Lib_Html::inputCheckbox( 'sure', FALSE );
		// $x['input-sure']['validate'][] = Lib_Html::validatorRequired();

		return $x;
	}

	public static function post( array $x, array $values )
	{
		$m = $x[ '$m' ];
		$m = Model_Activity::delete( $m );
		$x['redirect'] = 'activity';
		return $x;
	}

	public static function render( array $x )
	{
?>

<form method="post">

<label>
<?php Lib_Html::render( $x['input-sure'] ); ?> __Are you sure?__
</label>

<p>
	<button type="submit" class="button button-primary">__Confirm Delete Activity__</button>
</p>

</form>

<?php
	}
}