<?php
namespace Plaintracker1;

class Page_Index
{
	public static function pages()
	{
		$ret = [];

		$ret[ 'index' ]			= Page_Index::class;
		$ret[ 'install' ]			= Page_Install::class;
		$ret[ 'uninstall' ]		= Page_Uninstall::class;

		$ret[ 'record' ]			= Page_Record::class;
		$ret[ 'record-new' ]		= Page_RecordNew::class;

		$ret[ 'activity' ]		= Page_Activity::class;
		$ret[ 'activity-{id}' ]	= Page_ActivityId::class;
		$ret[ 'activity-{id}-delete' ]	= Page_ActivityIdDelete::class;
		$ret[ 'activity-new' ]	= Page_ActivityNew::class;

		$ret[ 'setting' ]			= Page_Setting::class;
		$ret[ 'setting-time' ]	= Page_SettingTime::class;
		$ret[ 'setting-about' ]	= Page_SettingAbout::class;

		$ret[ 'tool' ]				= Page_Tool::class;
		$ret[ 'tool-import' ]	= Page_ToolImport::class;
		$ret[ 'tool-export' ]	= Page_ToolExport::class;

		return $ret;
	}

	public static function menu( array $x )
	{
		$ret = [];
		$ret['record']		= '__Records__';
		$ret['activity']	= '__Activities__';
		$ret['tool']		= '__Tools__';
		$ret['setting']	= '__Settings__';
		return $ret;
	}
}